Loading...
Searching...
No Matches
oval_sysInterface.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
Include dependency graph for oval_sysInterface.c:

## Data Structures

struct | oval_sysint
| Network interface description. More...

## Typedefs

typedef struct oval_sysint | oval_sysint_t

## Functions

bool | oval_sysint_iterator_has_more (struct oval_sysint_iterator *oc_sysint)
struct oval_sysint * | oval_sysint_iterator_next (struct oval_sysint_iterator *oc_sysint)
void | oval_sysint_iterator_free (struct oval_sysint_iterator *oc_sysint)
char * | oval_sysint_get_name (struct oval_sysint *sysint)
void | oval_sysint_set_name (struct oval_sysint *sysint, char *name)
char * | oval_sysint_get_ip_address (struct oval_sysint *sysint)
void | oval_sysint_set_ip_address (struct oval_sysint *sysint, char *ip_address)
char * | oval_sysint_get_mac_address (struct oval_sysint *sysint)
void | oval_sysint_set_mac_address (struct oval_sysint *sysint, char *mac_address)
struct oval_sysint * | oval_sysint_new (struct oval_syschar_model *model)
struct oval_sysint * | oval_sysint_clone (struct oval_syschar_model *new_model, struct oval_sysint *old_sysint)
void | oval_sysint_free (struct oval_sysint *sysint)
int | oval_sysint_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_sysint_consumer consumer, void *user)
void | oval_sysint_to_dom (struct oval_sysint *sysint, xmlDoc *doc, xmlNode *tag_parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/